<div class="text-center d-flex" style="min-height: 100vh;">
  <form class="form-signin bg-white" #loginForm="ngForm" (ngSubmit)="submit(loginForm)" style="border-radius: 4px; box-shadow: 0 0 4px #ececec;">
    <h1 class="h3 mb-3 font-weight-normal">Authentification</h1>
    <label for="inputUsername">Identifiant</label>
    <input type="text" id="inputUsername" class="form-control mb-2" placeholder="Identifiant" name="username" ngModel required>
    <label for="inputPassword" >Mot de passe</label>
    <input type="password" id="inputPassword" class="form-control" placeholder="Password" name="password" ngModel required autocomplete="off">
    <div class="mb-3"></div>
    <button class="btn btn-lg btn-info btn-block" type="submit">
      <span *ngIf="!initialized" class="spinner-border spinner-border-sm align-middle" role="status" aria-hidden="true"></span> Connexion
    </button>
    <p *ngIf="loginFailedMessage" class="text-danger mt-3">{{loginFailedMessage}}</p>
  </form>
</div>

<!--<script type="text/javascript">-->
<!--  $(document).ready(function () {-->
<!--    console.log('test');-->

<!--    $(window).on('load', function () {-->
<!--      $('#content').addClass('test');-->
<!--    });-->
<!--  });-->

<!--</script>-->
